package com.diagbot.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class KlCalculatorFormulaDTO {
    /**
     * 术语概念id
     */
    private Long conceptId;

    /**
     * 标题
     */
    private String title;

    /**
     * 备注
     */
    private String notes;

    private List<ContentTableData> contentTableData;

    private List<ScoreTableData> scoreTableData;




    @Data
    public static class ContentTableData{
        private String name;
        private String unit;
    }

    @Data
    public static class ScoreTableData{
        private Long groupId;

        private Long conditionId;

        private String conditionName;

        private String conditionType;

        private ConditionContent conditionContent;

        private String formula;

        private List<ScoreRange> scoreRange;
    }

    @Data
    public static class ConditionContent{
        private String textType;
        private ValueType valueType;

    }

    @Data
    public static class ValueType{
        private String maxValueName;
        private BigDecimal maxValue;
        private String maxValueUnit;

        private String minValueName;
        private BigDecimal minValue;
        private String minValueUnit;
    }

    @Data
    public static class ScoreRange{
        private BigDecimal greaterEqual;
        private BigDecimal lessEqual;
        private String result;
    }
}
