package com.diagbot.util;

import net.objecthunter.exp4j.Expression;
import net.objecthunter.exp4j.ExpressionBuilder;

import java.util.HashMap;
import java.util.Map;

public class CalculatorUtil {

    public static double evaluate(String formula, Map<String, Double> variables) {
        // 构建表达式
        ExpressionBuilder builder = new ExpressionBuilder(formula);

        // 添加变量
        variables.forEach((name, value) -> builder.variable(name));

        // 编译表达式
        Expression expr = builder.build();

        // 设置变量值
        variables.forEach(expr::setVariable);

        // 计算结果
        return expr.evaluate();
    }

    public static void main(String[] args) {
        Map<String, Double> vars = new HashMap<>();
        vars.put("x", 2.0);
        vars.put("y", 3.0);

        String formula = "x^2.5 + 3*y - 5/(z+1)";
        vars.put("z", 1.0); // 注意变量必须全部定义

        double result = evaluate(formula, vars);
        System.out.println(result); // 输出：2² + 3×3 - 5/(1+1) = 4+9-2.5=10.5
    }
}
