package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class HisStaticKnowledgeVO extends CdssLogBaseVO{
    /**
     * 医院编码
     */
    private String hospitalCode;
    /**
     * 医院名称
     */
    private String hospitalName;

    /**
     * his名称
     */
    private String hisName;
    /**
     * his明细名称
     */
    private String hisDetailName;

    /**
     * 标准术语名称
     */
    private String name;
    /**
     * 术语类型
     */
    @NotNull(message = "请输入术语类型：1-诊断、2-药品、3-检验套餐、4-检验细项、5-检查、6-检查子项、7-手术和操作")
    private Integer type;
    /**
     * 内容类型：1-化验、辅检、手术和操作、诊断、药品静态信息，2-注意事项，3-临床路径，4-治疗方案，5-诊疗指南
     */
    private List<Integer> contentTypes;

}
