package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/2/24 15:03
 */
@Getter
@Setter
public class KlClassicCaseVO {
    private Long id;
    /**
     * 标准术语
     */
    private String name;
    /**
     * 术语类型
     */
    private Integer type;
    /**
     * 术语类型
     */
    @ApiModelProperty(hidden = true)
    private String typeName;
    /**
     * 临床路径名称
     */
    private String clinicalPathwayName;

    /**
     * 注意事项名称
     */
    private String noticeName;

    /**
     * 经典病例明细
     */
    private List<KlConceptDetailVO> details;

    /**
     * 操作id
     */
    @ApiModelProperty(hidden = true)
    private Long userId;

    /**
     * 数据来源：0-医院端、1-云平台，默认0
     */
    private Integer source = 0;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 性别
     */
    private String sex;

    /**
     * 科室
     */
    private String dept;
}