package com.diagbot.web;

import com.diagbot.annotation.CdssLog;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.LogTestFacade;
import com.diagbot.vo.LogTestVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @Description: 站内信控制层
 * @author: gaodm
 * @time: 2018/8/30 10:12
 */
@RestController
@Api(value = "日志测试API", tags = { "日志测试API" })
@RequestMapping("/test")
@SuppressWarnings("unchecked")
public class LogTestController {
    @Autowired
    private LogTestFacade logTestFacade;


    @ApiOperation(value = "异步日志测试[by:gaodm]",
            notes = "msg:信息内容<br>" +
                    "type:0:正常，1:抛错，2:子方法放入参数")
    @PostMapping("/logTest")
    @SysLogger("logTest")
    @CdssLog("异步日志测试")
    public RespDTO<Boolean> logTest(@RequestBody @Valid LogTestVO logTestVO) {
        return RespDTO.onSuc(logTestFacade.logTest(logTestVO));
    }
}

